## kdeconnect 24.05.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Release Service Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "05")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.240")
set(QT_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMGenerateQmlTypes)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMDeprecationSettings)

include(KDEConnectMacros.cmake)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KDECONNECT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h
)

ecm_set_disabled_deprecation_versions(
    QT 5.15
    KF 5.110
)

# Make the version header available by linking against kdeconnectversion
add_library(kdeconnectversion INTERFACE)
target_include_directories(kdeconnectversion INTERFACE ${CMAKE_CURRENT_BINARY_DIR})

set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "QtQuick plugins to build user interfaces based on KDE UX guidelines"
    PURPOSE "Required for KDE Connect's QML-based GUI applications"
    URL "https://www.kde.org/products/kirigami/"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.11 REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required runtime dependency (all the modules are required)"
)

if(UNIX AND NOT APPLE)
    option(WITH_X11 "Build with X11 support" ON)
    option(WITH_PULSEAUDIO "Build with Pulseaudio support" ON)
else()
    set(WITH_X11 OFF)
    set(WITH_PULSEAUDIO OFF)
endif()

if(UNIX AND NOT APPLE)
    find_package(KF6Package REQUIRED)
    if (WITH_PULSEAUDIO)
        find_package(KF6PulseAudioQt REQUIRED)
    endif()
    find_package(QtWaylandScanner REQUIRED)
    find_package(Wayland 1.9 REQUIRED Client)
    find_package(Qt6 REQUIRED COMPONENTS WaylandClient)
    find_package(WaylandProtocols REQUIRED)
    pkg_check_modules(XkbCommon IMPORTED_TARGET xkbcommon)
    find_package(PkgConfig QUIET REQUIRED)
    pkg_check_modules(DBus REQUIRED IMPORTED_TARGET dbus-1)
endif()

if (NOT WIN32)
    find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
endif()

#ecm_find_qmlmodule(org.kde.people 1.0) FIXME This results in KPeople code being called which triggers DBus calls which breaks the Windows CI
ecm_find_qmlmodule(QtQuick.Particles 2.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick QuickControls2 Network Multimedia)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications
    KIO KCMUtils Service Solid Kirigami People WindowSystem GuiAddons DocTools)

if (WIN32)
    get_filename_component(WINDOWS_KITS_DIR
        "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows Kits\\Installed Roots;KitsRoot10]" ABSOLUTE)
    file(READ "${WINDOWS_KITS_DIR}/SDKManifest.xml" SDK_MANIFEST)
    string(REGEX MATCH "PlatformIdentity[^\n]*" PLATFORM_IDENTITY "${SDK_MANIFEST}" )
    string(REGEX MATCH "[0-9][0-9][0-9][0-9][0-9]" WIN_SDK_VERSION "${PLATFORM_IDENTITY}" )
    add_compile_definitions(WIN_SDK_VERSION=${WIN_SDK_VERSION})
endif()

add_subdirectory(core)
add_subdirectory(plugins)
add_subdirectory(interfaces)

find_package(KF6QQC2DesktopStyle ${KF_MIN_VERSION} REQUIRED)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

add_subdirectory(icons)
add_subdirectory(data)
add_subdirectory(cli)
add_subdirectory(declarativeplugin)

add_subdirectory(kcm)
add_subdirectory(kcmplugin)
add_subdirectory(daemon)
add_subdirectory(app)
add_subdirectory(indicator)
add_subdirectory(urlhandler)
add_subdirectory(nautilus-extension)
add_subdirectory(fileitemactionplugin)
add_subdirectory(smsapp)
add_subdirectory(settings)

if(NOT WIN32 AND NOT APPLE)
    add_subdirectory(kio)
    add_subdirectory(plasmoid)
endif()

add_subdirectory(doc)
kdoctools_install(po)

ki18n_install(po)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(EXPORT kdeconnect-kde FILE kdeconnect-kde.categories SORT DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdeconnect (24.05.2-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:06:08 +0100

kdeconnect (24.05.2-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 09 Sep 2024 00:34:09 -0700

kdeconnect (24.08.0-1) experimental; urgency=medium

  * New upstream release (24.08.0).
  * Add myself to uploaders.
  * Remove unneeded patch.
  * Update dependencies according to cmake.
  * Refresh install files.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Aug 2024 02:28:04 -0700

kdeconnect (23.08.5-1ubuntu2) oracular; urgency=medium

  * Rebuild against new libkf6pulseaudioqt5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2024 18:43:37 +0200

kdeconnect (23.08.5-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 May 2024 10:04:41 +0100

kdeconnect (23.08.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 23:51:42 +0200

kdeconnect (23.08.5-0ubuntu6) oracular; urgency=medium

  * Rebuild against new libkf5pulseaudioqt4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 May 2024 10:33:18 +0200

kdeconnect (23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps and deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Sun, 15 Oct 2023 10:35:13 -0400

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               kirigami-addons-dev,
               libdbus-1-dev,
               libkirigami-dev (>= 6.0.0~),
               libfakekey-dev,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               libkf6people-dev (>= 6.0.0~),
               libkf6pulseaudioqt-dev,
               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6modemmanagerqt-dev,
               qt6-wayland-dev (>= 6.6.0~),
               libwayland-dev (>= 1.9~),
               libwayland-bin,
               libqca-qt6-dev,
               libssl-dev,
               libx11-dev,
               libxtst-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-wayland-dev-tools,
               qt6-connectivity-dev,
               wayland-protocols,
               qml6-module-qtquick-particles,
               qml6-module-org-kde-people,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde

Package: kdeconnect
Architecture: any
Depends: kde-cli-tools,
         libqca-qt6-plugins,
         libplasma6,
         libplasmaquick6,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-kirigamiaddons-datetime,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kirigamiaddons-labs-components,
         qml6-module-org-kde-kirigamiaddons-settings,
         qml6-module-org-kde-kirigamiaddons-sounds,
         qml6-module-org-kde-kirigamiaddons-tableview,
         qml6-module-org-kde-kirigamiaddons-treeview,
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-people,
         qml6-module-org-kde-desktop,
         qml6-module-qtqml,
         qml6-module-qt-labs-platform,
         qml6-module-qtmultimedia,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-particles,
         qml6-module-qtquick-window,
         qml6-module-qtquick,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: fuse (<< 3),
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
Enhances: nautilus,
Breaks: kdeconnect (<< 20.12),
Replaces: kdeconnect (<< 20.12),
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

## kdeconnect 24.12.0

=== debian/changelog ===
kdeconnect (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 22:45:56 +0100

kdeconnect (24.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add upstream patch to fix "kdeconnect FTCBFS: error parsing cmake
    expression containing unquoted variable" (Closes: #977275)
  * Mark failing test to not fail the build #1089306.

 -- Sandro Knauß <hefee@debian.org>  Sat, 07 Dec 2024 21:08:33 +0100

kdeconnect (24.08.3-1) unstable; urgency=medium

  * Team upload.

  * New upstream release (24.08.3).
  * Release to unstable.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Split libs into own -libs package to break interpackage circular
    dependency chain.
  * qml module recommends kdeconnect (before it depend on kdeconnect)
    (Closes: #1087840).

 -- Sandro Knauß <hefee@debian.org>  Fri, 06 Dec 2024 20:13:24 +0100

kdeconnect (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Drop patch enabling non-default openssh key algorithms, not
    necessary anymore with the current version of the Android app.
  * Update the list of installed files.
  * Add new qml6-module-org-kde-kdeconnect binary package.
  * Replace manual QML runtime dependencies with dbhelper sequence
    qmldeps.
  * Recommend systemsettings and override lintian warning about the
    executable being in another package.
  * Reenable build-time tests.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Oct 2024 17:52:17 +0200

kdeconnect (24.08.0-1) UNRELEASED; urgency=medium

  * New upstream release (24.08.0).
  * Add myself to uploaders.
  * Remove unneeded patch.
  * Update dependencies according to cmake.
  * Refresh install files.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Aug 2024 02:28:04 -0700

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               dbus-x11 <!nocheck>,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kio6 <!nocheck>,
               kirigami-addons-dev (>= 0.11~),
               kpeople-vcard,
               libdbus-1-dev,
               libfakekey-dev,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6modemmanagerqt-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6package-dev,
               libkf6people-dev (>= 6.0.0~),
               libkf6pulseaudioqt-dev,
               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libqca-qt6-dev,
               libssl-dev,
               libwayland-bin,
               libwayland-dev (>= 1.9~),
               libx11-dev,
               libxkbcommon-dev,
               libxtst-dev,
               pkgconf,
               plasma-desktoptheme,
               plasma-wayland-protocols,
               qml6-module-org-kde-kquickcontrolsaddons,
               qt6-base-dev (>= 6.7.0~),
               qt6-connectivity-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect

Package: kdeconnect
Architecture: any
Depends: kirigami-addons-data,
         libqca-qt6-plugins,
         sshfs (>= 3),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Breaks: fuse (<< 3),
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: kdeconnect-libs
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: kdeconnect (<< 24.08.3),
Replaces: kdeconnect (<< 24.08.3),
Description: KDE Connect internal libs
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the internal libs used by KDE Connect and thw QML module.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
Enhances: nautilus,
Breaks: kdeconnect (<< 20.12),
Replaces: kdeconnect (<< 20.12),
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

Package: qml6-module-org-kde-kdeconnect
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kdeconnect,
Description: QML module wrapping KDE Connect functionality
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the wrapper to use KDE Connect functionality from QML.

## kdeconnect 24.12.1

=== debian/changelog ===
kdeconnect (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:29:31 +0000

kdeconnect (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:10:06 +0000

kdeconnect (24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:22:07 -0600

kdeconnect (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:30 +0000

kdeconnect (24.11.80-0ubuntu2) plucky; urgency=medium

  * For now make sure the main package recommends the qml module.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 20:44:08 +0000

kdeconnect (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:50:55 +0000

kdeconnect (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)
  * Make flaky tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 11:08:02 +0000

kdeconnect (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 14:14:37 -0600

## kdeconnect 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,14 +2,19 @@
 
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "05")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "5.240")
-set(QT_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.0.0")
+set(QT_MIN_VERSION "6.7.0")
+
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_EXTENSIONS OFF)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
+#set(CMAKE_COMPILE_WARNING_AS_ERROR TRUE)
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
@@ -38,8 +43,8 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15
-    KF 5.110
+    QT 6.6
+    KF 6.5
 )
 
 # Make the version header available by linking against kdeconnectversion
@@ -90,9 +95,9 @@
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)
 
-find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick QuickControls2 Network Multimedia)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick QuickWidgets QuickControls2 Network Multimedia)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications
-    KIO KCMUtils Service Solid Kirigami People WindowSystem GuiAddons DocTools)
+    KIO KCMUtils Service Solid Kirigami People WindowSystem GuiAddons DocTools Crash)
 
 if (WIN32)
     get_filename_component(WINDOWS_KITS_DIR

=== plugins/share/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_share SOURCES shareplugin.cpp)
target_link_libraries(kdeconnect_share
    kdeconnectcore
    Qt::DBus
    KF6::Notifications
    KF6::I18n
    KF6::GuiAddons
    KF6::KIOWidgets
    KF6::Service
)

kdeconnect_add_kcm(kdeconnect_share_config SOURCES share_config.cpp)
ki18n_wrap_ui(kdeconnect_share_config share_config.ui)
target_link_libraries(kdeconnect_share_config
    kdeconnectpluginkcm
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigWidgets
    KF6::KIOWidgets
    KF6::Notifications
)

=== debian/changelog ===
kdeconnect (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:51 -0500

kdeconnect (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:04 +0000

kdeconnect (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:06:05 +0000

kdeconnect (24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:03:58 -0600

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0~),
               gettext,
               kio6 <!nocheck>,
               kirigami-addons-dev (>= 0.11~),
               kpeople-vcard,
               libdbus-1-dev,
               libfakekey-dev,
               libkf6configwidgets-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6dbusaddons-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6guiaddons-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6iconthemes-dev (>= 6.0~),
               libkf6kcmutils-dev (>= 6.0~),
               libkf6kio-dev (>= 6.0~),
               libkf6modemmanagerqt-dev (>= 6.0~),
               libkf6notifications-dev (>= 6.0~),
               libkf6package-dev,
               libkf6people-dev (>= 6.0~),
               libkf6pulseaudioqt-dev,
               libkf6qqc2desktopstyle-dev (>= 6.0~),
               libkf6service-dev (>= 6.0~),
               libkf6solid-dev (>= 6.0~),
               libkf6statusnotifieritem-dev (>= 6.0~),
               libkf6windowsystem-dev (>= 6.0~),
               libkirigami-dev (>= 6.0~),
               libqca-qt6-dev,
               libssl-dev,
               libwayland-bin,
               libwayland-dev (>= 1.9~),
               libx11-dev,
               libxkbcommon-dev,
               libxtst-dev,
               pkgconf,
               plasma-desktoptheme,
               plasma-wayland-protocols,
               qml6-module-org-kde-config,
               qml6-module-org-kde-kcmutils,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-org-kde-people,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-particles,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-connectivity-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde

Package: kdeconnect
Architecture: any
Depends: libqca-qt6-plugins,
         kirigami-addons-data,
         plasma-desktoptheme,
         sshfs (>= 3),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kdeconnect, systemsettings
Breaks: fuse (<< 3),
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
Enhances: nautilus,
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

Package: qml6-module-org-kde-kdeconnect
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module wrapping KDE Connect functionality
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the wrapper to use KDE Connect functionality from QML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dbus-run-session dh_auto_test

## kdeconnect 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Release Service Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -96,8 +96,19 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick QuickWidgets QuickControls2 Network Multimedia)
+
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications
-    KIO KCMUtils Service Solid Kirigami People WindowSystem GuiAddons DocTools Crash)
+    KIO KCMUtils Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels)
+
+find_package(KF6DocTools ${KF_MIN_VERSION})
+set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
+    "Tools to generate documentation"
+    TYPE OPTIONAL
+)
 
 if (WIN32)
     get_filename_component(WINDOWS_KITS_DIR
@@ -136,10 +147,11 @@
     add_subdirectory(plasmoid)
 endif()
 
-add_subdirectory(doc)
-kdoctools_install(po)
-
 ki18n_install(po)
+if(KF6DocTools_FOUND)
+    kdoctools_install(po)
+    add_subdirectory(doc)
+endif()
 
 if(BUILD_TESTING)
     add_subdirectory(tests)

=== daemon/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kded")

add_executable(kdeconnectd kdeconnectd.cpp desktop_daemon.cpp ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)
ecm_qt_declare_logging_category(kdeconnectd
    HEADER kdeconnectd_debug.h
    IDENTIFIER KDECONNECT_DAEMON CATEGORY_NAME kdeconnect.daemon
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (daemon)")
target_link_libraries(kdeconnectd
    kdeconnectcore
    kdeconnectversion
    KF6::ColorScheme
    KF6::KIOWidgets
    KF6::DBusAddons
    KF6::Notifications
    KF6::I18n
    KF6::WindowSystem
    KF6::Crash
    Qt::QuickControls2
    Qt::Widgets)

ecm_mark_nongui_executable(kdeconnectd)

configure_file(org.kde.kdeconnect.daemon.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.daemon.desktop)

if (UNIX AND NOT APPLE)
    set(kdeconnectd_prefix "${KDE_INSTALL_FULL_BINDIR}/")
endif()
configure_file(org.kde.kdeconnect.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.daemon.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.daemon.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(TARGETS kdeconnectd ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== settings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-settings")

qt_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-settings
    main.cpp
    ${kdeconnect_custom_icons_SRCS}
)

target_link_libraries(kdeconnect-settings
    kdeconnectversion
    Qt::QuickControls2
    KF6::I18n
    KF6::KCMUtils
    KF6::DBusAddons
    KF6::WindowSystem
    KF6::Crash)

install(TARGETS kdeconnect-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kdeconnect-settings.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== urlhandler/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-urlhandler")

ki18n_wrap_ui(telhandler_SRCS dialog.ui)

qt_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-handler kdeconnect-handler.cpp ${telhandler_SRCS} ${kdeconnect_custom_icons_SRCS})


target_link_libraries(kdeconnect-handler
    kdeconnectinterfaces
    kdeconnectcore
    kdeconnectversion
    Qt::Widgets
    Qt::QuickControls2
    KF6::CoreAddons
    KF6::ConfigWidgets
    KF6::DBusAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::KIOWidgets
    KF6::Crash
)

install(TARGETS kdeconnect-handler ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.handler.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== plugins/notifications/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_notifications SOURCES sendreplydialog.cpp notificationsplugin.cpp notification.cpp)

ki18n_wrap_ui(kdeconnect_notifications sendreplydialog.ui)
target_link_libraries(kdeconnect_notifications
    kdeconnectcore
    Qt::DBus
    Qt::Widgets
    KF6::Notifications
    KF6::I18n
    KF6::WindowSystem
)

if (UNIX AND NOT APPLE)
    target_link_libraries(kdeconnect_notifications Qt6::GuiPrivate)
endif()

=== core/backends/bluetooth/CMakeLists.txt ===

set(backends_kdeconnect_SRCS
    ${backends_kdeconnect_SRCS}

    backends/bluetooth/multiplexchannel.cpp
    backends/bluetooth/multiplexchannelstate.cpp
    backends/bluetooth/connectionmultiplexer.cpp
    backends/bluetooth/bluetoothlinkprovider.cpp
    backends/bluetooth/bluetoothdevicelink.cpp
    backends/bluetooth/bluetoothdownloadjob.cpp
    backends/bluetooth/bluetoothuploadjob.cpp

    PARENT_SCOPE
)

=== debian/changelog ===
kdeconnect (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.2).
    - Change qtdbus-qt5 to qtdbus-qt6 in the sample commands logic to find the
    qdbus executable name.
    - Kcm: fix memory leak in devicesRemoved().
    - Fix mpris sessions changed event handler.
    - Add plugin settings dep.
    - Make KF6DocTools optional.
    - Sendnotifications: Add missing qRegisterMetaType<>().
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 01:20:50 +0200

kdeconnect (25.04.0+git20250504.28fb9142-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (25.04.0+git20250504.28fb9142).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 18:39:07 +0200

kdeconnect (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop patch applied upstream.
  * Backport upstream commit to fix build on 32-bit architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 19:00:03 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               dbus-x11 <!nocheck>,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kio6 <!nocheck>,
               kirigami-addons-dev (>= 0.11~),
               kpeople-vcard,
               libdbus-1-dev,
               libfakekey-dev,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6modemmanagerqt-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6package-dev,
               libkf6people-dev (>= 6.0.0~),
               libkf6pulseaudioqt-dev,
               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6solid-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libqca-qt6-dev,
               libssl-dev,
               libwayland-bin,
               libwayland-dev (>= 1.9~),
               libx11-dev,
               libxkbcommon-dev,
               libxtst-dev,
               pkgconf,
               plasma-desktoptheme,
               plasma-wayland-protocols,
               qml6-module-org-kde-kquickcontrolsaddons,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev,
               qt6-connectivity-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect

Package: kdeconnect
Architecture: any
Depends: kirigami-addons-data,
         libqca-qt6-plugins,
         sshfs (>= 3),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Breaks: fuse (<< 3),
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: kdeconnect-libs
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: kdeconnect (<< 24.08.3),
Replaces: kdeconnect (<< 24.08.3),
Description: KDE Connect internal libs
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the internal libs used by KDE Connect and thw QML module.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends},
Enhances: nautilus,
Breaks: kdeconnect (<< 20.12),
Replaces: kdeconnect (<< 20.12),
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

Package: qml6-module-org-kde-kdeconnect
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kdeconnect,
Description: QML module wrapping KDE Connect functionality
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.
 .
 This package contains the wrapper to use KDE Connect functionality from QML.

## kdeconnect 25.04.3

=== debian/changelog ===
kdeconnect (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:59 +0100

kdeconnect (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend plasma-desktoptheme and qml6-module-org-kde-kdeconnect.
    - Do not have the qml module recommend kdeconnect.
    - kdeconnect-libs Breaks/Replaces to suit Kubuntu merge history.

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jun 2025 08:53:38 +0100

kdeconnect (25.04.2-0ubuntu2) questing; urgency=medium

  * Additional b-d on libkf6itemmodels-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 13:24:17 +0100

kdeconnect (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:42:43 +0100

kdeconnect (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)
  * Drop included upstream_fix-armhf-build.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:44 +0100

kdeconnect (25.04.0-0ubuntu2) questing; urgency=medium

  * Drop org.kde.people from qmldeps.overrides. (LP: #2109830)

 -- Rik Mills <rikmills@kde.org>  Fri, 02 May 2025 12:50:45 +0100

kdeconnect (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Add upstream_fix-armhf-build.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:46:55 +0100

## kdeconnect 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "07")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -102,13 +102,7 @@
 endif()
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications
-    KIO KCMUtils Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels)
-
-find_package(KF6DocTools ${KF_MIN_VERSION})
-set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
-    "Tools to generate documentation"
-    TYPE OPTIONAL
-)
+    KIO ColorScheme Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels)
 
 if (WIN32)
     get_filename_component(WINDOWS_KITS_DIR
@@ -130,9 +124,6 @@
 add_subdirectory(data)
 add_subdirectory(cli)
 add_subdirectory(declarativeplugin)
-
-add_subdirectory(kcm)
-add_subdirectory(kcmplugin)
 add_subdirectory(daemon)
 add_subdirectory(app)
 add_subdirectory(indicator)
@@ -140,7 +131,6 @@
 add_subdirectory(nautilus-extension)
 add_subdirectory(fileitemactionplugin)
 add_subdirectory(smsapp)
-add_subdirectory(settings)
 
 if(NOT WIN32 AND NOT APPLE)
     add_subdirectory(kio)
@@ -148,10 +138,6 @@
 endif()
 
 ki18n_install(po)
-if(KF6DocTools_FOUND)
-    kdoctools_install(po)
-    add_subdirectory(doc)
-endif()
 
 if(BUILD_TESTING)
     add_subdirectory(tests)

=== debian/changelog ===
kdeconnect (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:08:19 +0100

## kdeconnect 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -101,7 +101,7 @@
     find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 endif()
 
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n DBusAddons IconThemes Notifications
     KIO ColorScheme Service Solid Kirigami People WindowSystem GuiAddons Crash ItemModels)
 
 if (WIN32)

=== debian/changelog ===
kdeconnect (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:42:36 +0100
